ReflectionProperty::isDefault
ReflectionProperty::isProtected
ReflectionProperty
PHP Manual

# ReflectionProperty::isPrivate

(PHP 5)

ReflectionProperty::isPrivate — Checks if property is private

### Description

public bool ReflectionProperty::isPrivate ( void )

Checks whether the property is private.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if the property is private, `FALSE` otherwise.

### See Also

- ReflectionProperty::isPublic() - Checks if property is public
- ReflectionProperty::isProtected() - Checks if property is protected
- ReflectionProperty::isStatic() - Checks if property is static

ReflectionProperty::isDefault
ReflectionProperty::isProtected
ReflectionProperty
PHP Manual